Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 228970 - Review Request: elph - Tool to find motifs in a set of DNA or protein sequences
Summary: Review Request: elph - Tool to find motifs in a set of DNA or protein sequences
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: FE-ACCEPT 228971
TreeView+ depends on / blocked
 
Reported: 2007-02-16 10:16 UTC by Christian Iseli
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-24 00:19:48 UTC
panemade: fedora-review+
dennis: fedora-cvs+


Attachments (Terms of Use)

Description Christian Iseli 2007-02-16 10:16:36 UTC
Spec URL: ftp://ftp.licr.org/pub/elph.spec
SRPM URL: ftp://ftp.licr.org/pub/elph-1.0.1-0.src.rpm
Description:
ELPH is a general-purpose Gibbs sampler for finding motifs in a set of
DNA or protein sequences. The program takes as input a set containing
anywhere from a few dozen to thousands of sequences, and searches
through them for the most common motif, assuming that each sequence
contains one copy of the motif.

Comment 1 Parag AN(पराग) 2007-02-22 09:59:34 UTC
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and RPM
+ source files match upstream.
eb96b4dde3ab12ba1f31a4230a829ff3  ELPH-1.0.1.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is small; no -doc subpackage required.
+ %doc does not affect runtime.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.

APPROVED.

Comment 2 Christian Iseli 2007-02-22 13:22:31 UTC
New Package CVS Request
=======================
Package Name: elph
Short Description: Tool to find motifs in a set of DNA or protein sequences
Owners: Christian.Iseli@licr.org
Branches: FC-5 FC-6 devel
InitialCC: 



Comment 3 Dennis Gilmore 2007-02-22 13:37:08 UTC
Branched.

For the reviewer please set the fedora-review flag

Comment 4 Christian Iseli 2007-02-24 00:19:48 UTC
Imported and built.

Thanks Parag for the review :-)



Note You need to log in before you can comment on or make changes to this bug.